package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.constant;
/**
 * 常量类
 * @author minmin
 *
 */
public class SjjhConstants {
	private SjjhConstants() {

	}

	/**时间格式*/
	public static final String TIME_FORMAT = "yyyy-MM-dd HH:mm:ss";
	/**日期格式*/
	public static final String DATE_FORMAT = "yyyy-MM-dd";
	/**时间格式*/
	public static final String TIME_REGEX = "^((19|20)[0-9]{2})-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01]) ([01]?[0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]$";
	/**yyyy-MM*/
	public static final String MONTH_REGEX = "^((19|20)[0-9]{2})-(0?[1-9]|1[012])$";
	/**yyyy-MM-dd*/
	public static final String DATE_REGEX = "^((19|20)[0-9]{2})-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$";
	
	/**编码*/
	public static final String PARA_ENCODE  = "UTF-8";
	
	/**时间格式*/
	public static final String TIME_FORMAT_HHmmss = "yyyyMMdd/HHmmss";
	/**接口请求参数*/
	public static final String INTERFACE_REQUEST_PARA_ACCESS_TOKEN = "accessToken";
	/**接口请求参数*/
	public static final String INTERFACE_REQUEST_PARA_VNO = "vno";
	/**北斗接口请求参数*/
	public static final String INTERFACE_REQUEST_PARA_APP_ID = "app_id";
	public static final String INTERFACE_REQUEST_PARA_APP_KEY = "app_key";
	public static final String INTERFACE_REQUEST_PARA_APP_METHOD = "method";
	public static final String INTERFACE_REQUEST_PARA_APP_CONTENT = "content";
	/**北斗接口车版号*/
	public static final String INTERFACE_REQUEST_PARA_VCLNO = "vclNo";
	/**北斗接口车版颜色*/
	public static final String INTERFACE_REQUEST_PARA_VCO = "vco";
	/**接口查询开始时间*/
	public static final String INTERFACE_REQUEST_PARA_STARTTIME = "startTime";
	/**接口查询结束时间*/
	public static final String INTERFACE_REQUEST_PARA_ENDTIME = "endTime";

	/**返回提示语*/
	public static final String INTERFACE_SUCCESS_TEXT = "查询成功";
	public static final String PARA_CHECK_CAR_NUMBER_FAIL_TEXT = "车牌号不规范";
	public static final String QUERY_ERROR_TEXT = "查询错误";
	public static final String PARA_CHECK_CAR_OR_TIME_NUMBER_FAIL_TEXT = "车牌号或起始、结束时间不规范";
	/**接口返回码*/
	public static final String INTERFACE_CODE_0 = "0";
	public static final String INTERFACE_CODE_1 = "1";
	public static final String INTERFACE_CODE_100 = "100";
	public static final String INTERFACE_CODE_200 = "200";
	public static final String INTERFACE_CODE_205 = "205";
	public static final String INTERFACE_CODE_910 = "910";
	public static final String INTERFACE_CODE_913 = "913";
	public static final String INTERFACE_CODE_1000 = "1000";
	public static final String INTERFACE_CODE_1002 = "1002";
	public static final String INTERFACE_CODE_1006 = "1006";
	public static final String INTERFACE_CODE_10000 = "10000";

	/**
	 * 月调用量redis key*/
	public static final String MONTH_CHARGE_COUNT = "month_charge_count";
	/**
	 * 日调用量redis key*/
	public static final String DAY_CHARGE_COUNT = "day_charge_count";
	/**
	 * 月调用量上限key*/
	public static final int MONTH_CHARGE_LIMIT = 10;
	/**
	 * 日调用量上限key*/
	public static final String DAY_CHARGE_LIMIT = "dayCount";
	/**
	 * 请求头用户Id key*/
	public static final String USERID_HEADER_KEY = "userid";
	/**
	 * 请求头通道Id key*/
	public static final String CHANNELID_HEADER_KEY = "channelId";

	/**参数值为0*/
	public static final int PARA_ZERO = 0;
	/**1天的毫秒*/
	public static final int PARA_ONE_DAY = 1000 * 60 * 60 * 24;
	public static final String NO_RESULT = "查询成功，查无结果";
	public static final String TRUCK_EXIST_ON_LINE = "入网";
	public static final String TRUCK_NOT_EXIST_ON_LINE = "未入网";
	public static final String ERROR_PROVINCE_CODE = "省份行政区划代码格式错误";
	public static final String ERROR_PERSON_QUERY_PARAM = "身份证号码与从业资格证号不能同时为空";
	public static final String ERROR_PLATE_COLOR = "车牌颜色错误";
	public static final String IS_CAR_OWNER = "验证通过";
	public static final String CAR_OWNER_AUTHENTICITY_NAME_ERROR = "车主姓名不正确";
	public static final String CAR_OWNER_AUTHENTICITY_PHONE_ERROR = "手机号不正确";
	public static final String CAR_OWNER_AUTHENTICITY_ERROR = "验证失败";
}
