package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.service;

import javax.servlet.http.HttpServletRequest;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;

public interface CarService {

	ChannelTypeHandleResponseObject getCarCapacity(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车企运力信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carEnterpriseTransportInfoCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车辆历史轨迹(接百度)
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carHistoricalTrajectoryQueryByBaidu(HttpServletRequest request, String customBody,
                                                                        int outTime);
	/**
	 * 车辆历史轨迹
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carHistoricalTrajectoryQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车辆实时位置
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carLastPositionQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车辆入网核验
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject truckExistCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 多车最新位置
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carsLastPositionQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 企业道路运输许可证信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject enterpriseTransportPermitQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 人员从业资格证信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject personQualificationCertificateQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车辆运输许可证信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject vehicleTransportPermitQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车主真实性验证
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carOwnerAuthenticityCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 货车车辆画像
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject truckInfoQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车辆运营信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carOperationInfoQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车身照片及运输证号查询
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carPicTransportNoQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车辆里程信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carMileageQuery(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 车辆停车信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject carParkingInfoQuery(HttpServletRequest request, String customBody, int outTime);
}
