package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.utils;

import java.util.regex.Pattern;

import org.apache.commons.lang3.StringUtils;

import info.aspirecn.iov.sjjh.commons.lang.Constant;
import info.aspirecn.iov.sjjh.commons.lang.PatternTools;
import info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo.CarCapacityRequestObject;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class DesUtils {

	    private static final String YYYYMMDD = "^((19|20)[0-9]{2})-(0?[1-9]|1[012])$";
	    //校验参数
        public static boolean checkParam(CarCapacityRequestObject jsonResolveObject ){
            if (StringUtils.isBlank(jsonResolveObject.getVclN()) ||
                    !PatternTools.checkResult(Constant.PATTERN_CAR_NUMBER_REGEX, jsonResolveObject.getVclN())) {
                log.info("vclN不正确:{}",jsonResolveObject.getVclN());
                return true;
            } else if (StringUtils.isBlank(jsonResolveObject.getMonth())||!checkDataParam(jsonResolveObject.getMonth())) {
                log.info("month不正确:{}",jsonResolveObject.getMonth());
                return true;
            } else if (StringUtils.isBlank(jsonResolveObject.getVco())) {
                log.info("vco不正确:{}",jsonResolveObject.getVco());
                return true;

            }
            return false;
        }
        //检验时间格式
        public static boolean checkDataParam(String data){
        	if (Pattern.compile(YYYYMMDD).matcher(data).matches()) {
        		 return true;
			}
			return false;
        }
        
}
