package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.utils;

import java.security.MessageDigest;

import org.apache.commons.codec.binary.Hex;

import info.aspirecn.rdc.iov.sjjh.servicenode.supplier.enums.DigestALGEnum;

/**
 * 
 *                       
 * @Filename DigestMd5OrSHA256Util.java
 *
 * @Description MD5签名帮助类
 *
 * @Author Mr.Liu
 *
 */
public class DigestMd5OrSHA256Util {
 
	/**
	 * 执行md5/sha256加密
	 * @param string
	 * @param digestEnum
	 * @return
	 */
	public static String encrypt(String string, DigestALGEnum digestEnum) {
		return encrypt(string, digestEnum, false);
	}
	
	/**
	 * 执行md5/sha256加密
	 * @param string
	 * @param digestEnum
	 * @param upperCase
	 * @return
	 */
	public static String encrypt(String string, DigestALGEnum digestEnum, boolean upperCase) {
		if (string == null) {
			throw new IllegalArgumentException("待签名字符串不能为空!");
		}
		/**执行签名**/
		byte[] toDigest;
		try {
			toDigest = string.getBytes("UTF-8");
			MessageDigest md = MessageDigest.getInstance(digestEnum.getCode());
			md.update(toDigest);
			if (upperCase) {
				return new String (Hex.encodeHex(md.digest())).toUpperCase();
			} else {
				return new String (Hex.encodeHex(md.digest()));
			}
		} catch (Exception e) {
			throw new IllegalArgumentException("执行签名失败!");
		}
	}
	
	/**
	 * 执行md5/sha256加密
	 * @param string
	 * @param digestEnum
	 * @return
	 */
	public static byte[] encryptByte(String string, DigestALGEnum digestEnum) {
		if (string == null) {
			throw new IllegalArgumentException("待签名字符串不能为空!");
		}
		/**执行签名**/
		byte[] toDigest;
		try {
			toDigest = string.getBytes("UTF-8");
			MessageDigest md = MessageDigest.getInstance(digestEnum.getCode());
			md.update(toDigest);
			return md.digest();
		} catch (Exception e) {
			throw new IllegalArgumentException("执行签名失败!");
		}
	}
}