package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析接口响应对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class CarCapacityResponseObject {
	/**code*/
	private String code;
	
	/**响应描述*/
	private String msg;

	/**订单号*/
	private String orderNo;
	
	/**参数说明*/
	private CarCapacityResponseChildObject data;
	
	@Data
	public static class CarCapacityResponseChildObject {
		/**查询月份*/
		private String   month;
		/**车牌号码*/
		private String   vclN;
		/**车架号*/
		private String   vin;
		/**车牌颜色 1：蓝色 2：黄色*/
		private String   vco;
		/**大本营*/
		private String   bcamp;
		/**常跑线路运营次数占比（保留4位小数）*/
		private String   rate;
		/**平均运距（单位：公里）*/
		private String   amile;
		/**累计行驶里程（单位：公里）*/
		private String   omile;
		/**日均行驶里程（单位：公里）*/
		private String   dmile;
		/**日均运营时长（单位：小时）*/
		private String   dtime;
		/**日均运营时长（单位：小时）*/
	    private String   oprate;
	    /**轨迹完整率（保留4位小数）*/
		private String   trate;
		/**最后上线时间（UTC 时间）*/
		private String   ltime;
		/**常跑路线（三个长跑路线，用英文逗号隔开）*/
		private String   lines;
		
	}
	
}
