package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 车企运力解析接口响应对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class CarResponseObject {
	/**code*/
	private String code;
	
	/**响应描述*/
	private String msg;

	/**本次请求的订单号*/
	private String orderNo;
	
	/**返回的数据，详见每个接口说明*/
	private CarResponseChildObject data;
	
	@Data
	public static class CarResponseChildObject {
		/**查询月份*/
		private String month;
		
		/**总车辆数*/
		private String tcount;

		/**上线总车辆数*/
		private String ocount;
		/**疑似挂靠车辆数*/
		private String dcount;		
		/**总行驶里程（单位：公里）*/
		private String tmileage;
		/**总运营时长（单位：小时）*/
		private String toptime;
		/**单车日均里程（单位：公里）*/
		private String amileage;

		/**单车日均运营时长（单位：小时）*/
		private String avgtime;
	}
}